ChartDirector Ver 5.0 (PHP Edition)

AreaLayer.setGapColor

Usage

setGapColor(fillColor)

Description

Sets the color used to fill the area under NoValue data points.
By default, if there are NoValue data points, ChartDirector will interpolate using the remaining data points. The area will remain continuous.
This method can be used to set up an alternative color to represent the area at NoValue data point positions. In particular, if the fillColor argument is set to Transparent, the NoValue data points will result in gaps in the area.

Arguments

Argument | Default | Description
--- | --- | ---
fillColor | (Mandatory) | The color used to fill the area region at NoValue data point positions.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.